/*
 * can_task.hpp
 *
 *  Created on: 10 Dec 2023
 *      Author: Carl
 */

#ifndef INC_TASKS_THERMO_HPP_
#define INC_TASKS_THERMO_HPP_

#include <sta/tacos/thread.hpp>
#include <sta/devices/stm32/can.hpp>
#include <sta/rtos/mutex.hpp>
#include <sta/MAX31855.hpp>
#include <sta/devices/stm32/bus/spi.hpp>
#include <gpio.h>
#include <spi.h>

namespace demo
{
	class ThermoTask : public sta::tacos::TacosThread {
	public:
		ThermoTask();

		void init() override;

		void func() override;

	private:

	sta::STM32GpioPin cs_pin = sta::STM32GpioPin(GPIOE, GPIO_PIN_13);
	sta::RtosMutex* mutex;
	sta::STM32SPI* spi2;
	sta::STM32SPIDevice* device_;

	sta::MAX31855* tc;

	};
} // namespace demo

#endif /* INC_TASKS_THERMO_HPP_ */
